package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.SapProductPlan;
import io.swagger.annotations.ApiOperation;

/**
 * @Description : SAP生产计划
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/5/7 15:13
 * @Modify:
 **/
public interface ISapProductPlanDao {

    @ApiOperation(value = "分页查询SAP生产计划", notes = "分页查询SAP生产计划")
    ListPager<SapProductPlan> querySapProductPlanPager(SapProductPlan sapProductPlan, Pager pager);
}
