package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesBasDowntimeReasonService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesBasDowntimeReason;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;


/**
 * @Description : Maximo仪表主数据
 * @Reference :
 * @Author : gsz
 * @CreateDate 2024/5/17 14:06
 * @Modify:
 **/
@Service
@Slf4j
public class MesBasDowntimeReasonServiceImpl extends BaseMesService<MesBasDowntimeReason> implements IMesBasDowntimeReasonService {

    protected void setPackQueryBean(MesBasDowntimeReason bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getReasonCode(), "reasonCode", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getReasonName(), "reasonName", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getReasonType(), "reasonType", packBean);
    }

}
