package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesBasDowntimeReasonTypeService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesBasDowntimeReasonType;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;


/**
 * @Description : Maximo仪表主数据
 * @Reference :
 * @Author : gsz
 * @CreateDate 2024/5/17 14:06
 * @Modify:
 **/
@Service
@Slf4j
public class MesBasDowntimeReasonTypeServiceImpl extends BaseMesService<MesBasDowntimeReasonType> implements IMesBasDowntimeReasonTypeService {

    protected void setPackQueryBean(MesBasDowntimeReasonType bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getTypeCode(), "typeCode", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getTypeName(), "typeName", packBean);
    }

}
