package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesDefectService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesDefect;
import cn.estsh.i3plus.pojo.mes.bean.MesPartShippingGroupDetail;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesDefectService extends BaseMesService<MesDefect> implements IMesDefectService {

    protected void setPackQueryBean(MesDefect bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringLikerPack(bean.getDefectCode(), "defectCode", packBean);
        DdlPreparedPack.getStringLikerPack(bean.getDefectName(), "defectName", packBean);
        DdlPreparedPack.getNumEqualPack(bean.getCategory(), "category", packBean);
    }

}
