package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesProductVersionService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesProductVersion;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesProductVersionService extends BaseMesService<MesProductVersion> implements IMesProductVersionService {

    protected void setPackQueryBean(MesProductVersion bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getPartNo(),"partNo",packBean);
        DdlPreparedPack.getStringEqualPack(bean.getWorkCenterCode(),"workCenterCode",packBean);
        DdlPreparedPack.getStringEqualPack(bean.getProductVersion(),"productVersion",packBean);
        DdlPreparedPack.getStringEqualPack(bean.getShipInventoryPoint(),"shipInventoryPoint",packBean);
        DdlPreparedPack.getStringEqualPack(bean.getReceiveInventoryPoint(),"receiveInventoryPoint",packBean);
        DdlPreparedPack.getStringLikerPack(bean.getPartName(),"partName",packBean);
    }

}
