package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesWorkCellSubCellService;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCellBin;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCellSubCell;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesWorkCellSubCellService extends BaseMesService<MesWorkCellSubCell> implements IMesWorkCellSubCellService {


    protected void onInsertBean(MesWorkCellSubCell item) {
        // 数据校验
        ValidatorBean.checkNotNull(item.getWorkCenterCode(), "产线不能为空");
        ValidatorBean.checkNotNull(item.getWorkCellCode(), "主工位不能为空");
        ValidatorBean.checkNotNull(item.getSubCellCode(), "子工位不能为空");

    }

    protected void onUpdateBean(MesWorkCellSubCell item) {
        // 数据校验
        ValidatorBean.checkNotNull(item.getWorkCenterCode(), "产线不能为空");
        ValidatorBean.checkNotNull(item.getWorkCellCode(), "主工位不能为空");
        ValidatorBean.checkNotNull(item.getSubCellCode(), "子工位不能为空");
    }

}
