//package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.excel;
//
//import cn.estsh.i3plus.mes.api.iservice.busi.IExcelImportService;
//import cn.estsh.i3plus.mes.apiservice.serviceimpl.busi.CommonService;
//import cn.estsh.i3plus.mes.apiservice.util.MesCommonUtil;
//import cn.estsh.i3plus.platform.common.convert.ConvertBean;
//import cn.estsh.i3plus.pojo.mes.bean.MesPartPtr;
//import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
//import cn.estsh.i3plus.pojo.mes.model.ExcelImportErrorModel;
//import cn.estsh.i3plus.pojo.mes.model.ExcelImportResultModel;
//import cn.estsh.i3plus.pojo.mes.repository.MesPartPtrRepository;
//import cn.estsh.i3plus.pojo.mes.repository.MesPartRepository;
//import cn.estsh.i3plus.pojo.mes.repository.MesWorkOrderRepository;
//import cn.estsh.i3plus.pojo.mes.unit.MesExtEnumUtil;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.poi.ss.usermodel.CellType;
//import org.apache.poi.ss.usermodel.Row;
//import org.apache.poi.ss.usermodel.Sheet;
//import org.apache.poi.ss.usermodel.Workbook;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//import org.springframework.util.CollectionUtils;
//import org.springframework.util.StringUtils;
//
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
///**
// * @Description : MES工单导入，BTO
// * @Reference :
// * @Author : junsheng.li
// * @CreateDate 2024/5/16 14:14
// * @Modify:
// **/
//@Service
//@Slf4j
//public class MesWorkOrderBtoExcelServiceImpl implements IExcelImportService {
//
//    @Autowired
//    private CommonService commonService;
//    @Autowired
//    private MesPartRepository partRepository;
//    @Autowired
//    private MesWorkOrderRepository mesWorkOrderRDao;
//
//    @Override
//    public ExcelImportResultModel insertDataByExcel(Workbook workbook, String organizeCode, String userName) {
//
//        //读取表格
//        ExcelImportResultModel excelImportResultModel = this.sheetExtractMesWorkOrder(workbook.getSheetAt(0), organizeCode, userName);
//        //数据入库
//        this.insertExcelMesWorkOrder(excelImportResultModel);
//        return excelImportResultModel;
////        return null;
//    }
//
//    /**
//     * 工位BOM表导入-读取表格
//     *
//     * @param sheetAt
//     * @param organizeCode
//     * @param userName
//     * @return
//     */
//    private ExcelImportResultModel sheetExtractMesWorkOrder(Sheet sheetAt, String organizeCode, String userName) {
//
//        //从0行开始读取
//        int totalNumberOfRows = sheetAt.getLastRowNum() + 1;
//
//        //MesStationBom集合
//        List<MesPartPtr> partPtrList = new ArrayList<>();
//
//        //成功数量
//        Integer successRowNum = 0;
//        //失败数量
//        Integer failRowNum = 0;
//        //错误的行号
//        String errorRows = "";
//
//        //错误行信息集合
//        List<ExcelImportErrorModel> excelImportErrorModels = new ArrayList<>();
//
//        // 查询物料表
//        Map<String, Object> partCodeEntityMap;
//        try {
//            partCodeEntityMap = MesCommonUtil.getCodeEntityMap(partRepository, "partNo", organizeCode, "物料表");
//        } catch (Exception e) {
//            partCodeEntityMap = null;
//        }
//
////        //查询关键件条码校验规则表
////        List<MesPartPtr> partPtrList = partPtrRepository.findByProperty(new String[]{MesConstWords.ORGANIZE_CODE, MesConstWords.IS_DELETED},
////                new Object[]{organizeCode, CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue()});
////        Map<String, List<MesPartPtr>> preventionMap =
////                partPtrList.stream().collect(Collectors.groupingBy(k -> k.getPreventionObjectCode() + "&" + k.getPartNo()));
//
//
//        Map<String, String> map = new HashMap<>();
//
//        for (int i = (sheetAt.getFirstRowNum() + 1); i < totalNumberOfRows; i++) {
//            Row row = sheetAt.getRow(i);
//            //空行跳过
//            if (null == row) {
//                continue;
//            }
//            //获取总列数
//            Short lastCellNum = row.getLastCellNum();
//            if (lastCellNum > 0) {
//
//                int rowNum = i + 1;    //当前行号
//                int errorNum = 0;      //错误数量
//                String cellNum = "";   //错误列号
//                String errorInfo = ""; //错误信息
//
//                //生产线代码
//                String workCenterCode = null;
//                try {
//                    row.getCell(0).setCellType(CellType.STRING);
//                    workCenterCode = row.getCell(0, Row.MissingCellPolicy.CREATE_NULL_AS_BLANK).getStringCellValue().trim();
//                } catch (Exception e) {
//                }
//                //ERP总成零件号
//                String partNo = null;
//                try {
//                    row.getCell(1).setCellType(CellType.STRING);
//                    partNo = row.getCell(1, Row.MissingCellPolicy.CREATE_NULL_AS_BLANK).getStringCellValue().trim();
//                } catch (Exception e) {
//                }
//                //计划开始时间（yyyy-MM-dd）
//                String startTime = null;
//                try {
//                    row.getCell(2).setCellType(CellType.STRING);
//                    startTime = row.getCell(2, Row.MissingCellPolicy.CREATE_NULL_AS_BLANK).getStringCellValue().trim();
//                } catch (Exception e) {
//                }
//                //计划结束时间（yyyy-MM-dd）
//                String endTime = null;
//                try {
//                    row.getCell(3).setCellType(CellType.STRING);
//                    endTime = row.getCell(3, Row.MissingCellPolicy.CREATE_NULL_AS_BLANK).getStringCellValue().trim();
//                } catch (Exception e) {
//                }
//
//                //数量
//                String qty = null;
//                try {
//                    row.getCell(4).setCellType(CellType.STRING);
//                    qty = row.getCell(4, Row.MissingCellPolicy.CREATE_NULL_AS_BLANK).getStringCellValue().trim();
//                } catch (Exception e) {
//                }
//
//                //校验产线编号
//                if (StringUtils.isEmpty(workCenterCode)) {
//                    errorNum++;
//                    cellNum += "A;";
//                    errorInfo += "第A列数据必填;";
//                }
//
//                //ERP总成零件号
//                if (StringUtils.isEmpty(partNo)) {
//                    errorNum++;
//                    cellNum += "B;";
//                    errorInfo += "第B列数据必填;";
//                }
//                //计划开始时间（yyyy-MM-dd）
//                if (StringUtils.isEmpty(startTime)) {
//                    errorNum++;
//                    cellNum += "C;";
//                    errorInfo += "第C列数据必填;";
//                }
//                //校验替换零件号
//                if (StringUtils.isEmpty()) {
//                    errorNum++;
//                    cellNum += "J;";
//                    errorInfo += "第J列数据必填;";
//                }
//                //校验总成类型
//                if (StringUtils.isEmpty(partTypeCode)) {
//                    errorNum++;
//                    cellNum += "L;";
//                    errorInfo += "第L列数据必填;";
//                }
//
//
//                //没有错误的时候，封装MesStationBom
//                if (errorNum == 0) {
//
//                    MesPartPtr partPtr;
////                    if (preventionMap.containsKey(preventionObjectCode + "&" + partNo)) {
////                        itemPartErrorPrevention = preventionMap.get(partNo).get(0);
////                        ConvertBean.serviceModelUpdate(itemPartErrorPrevention, userName);
////                    } else {
//                    partPtr = new MesPartPtr();
//                    ConvertBean.serviceModelInitialize(partPtr, userName);
////                    }
//                    partPtr.setWorkCenterCode(workCenterCode);
//                    partPtr.setStartTime(startTime);
//                    partPtr.setEndTime(endTime);
//                    partPtr.setPrtVehicleCount(Integer.parseInt(prtVehicleCount));
//                    partPtr.setPrtVehicleActualCount(Integer.parseInt(prtVehicleActualCount));
//                    partPtr.setSourcePartNo(sourcePartNo);
//                    partPtr.setTargetPartNo(targetPartNo);
//                    partPtr.setIsCustomerSendPrtInfo(Integer.parseInt(isCustomerSendPrtInfo));
//                    partPtr.setSeqInfoPrtPart(seqInfoPrtPart);
//                    partPtr.setPtrProjectNo(ptrProjectNo);
//                    partPtr.setTargetPartNoSnRuleCode(targetPartNoSnRuleCode);
//                    partPtr.setPartTypeCode(Integer.parseInt(partTypeCode));
//                    partPtr.setIsInterPrt(Integer.parseInt(isInterPrt));
//                    partPtr.setVisualSingleDisplayItem(visualSingleDisplayItem);
//                    partPtr.setStartSeq(startSeq);
//                    partPtr.setVisualSingleReplacePosition(visualSingleReplacePosition);
//                    partPtr.setHardwareVersionNo(hardwareVersionNo);
//                    partPtr.setSoftwareVersionNo(softwareVersionNo);
//                    partPtr.setStatus(Integer.parseInt(status));
//                    partPtr.setMemo(memo);
//                    partPtrList.add(partPtr);
//                    successRowNum++;
//                } else {
//                    //封装错误行信息ExcelImportErrorModel
//                    excelImportErrorModels = commonService.getExcelImportErrorModels(excelImportErrorModels, rowNum, errorNum, cellNum, errorInfo);
//
//                    errorRows += rowNum + ";";
//                    failRowNum++;
//                }
//
//            }
//        }
//
//        //校验EXCEL数据
//        commonService.checkExcelData(failRowNum, successRowNum, errorRows);
//        //封装返回结果
//        ExcelImportResultModel excelImportResultModel = commonService.getExcelImportResultModel(failRowNum, successRowNum, excelImportErrorModels, errorRows);
//        excelImportResultModel.setExcelList((failRowNum > 0) ? null : partPtrList);
//        return excelImportResultModel;
//    }
//
//    private void insertExcelMesWorkOrder(ExcelImportResultModel excelImportResultModel) {
//        if (excelImportResultModel == null) {
//            return;
//        }
//        List<MesWorkOrder> partPtrList = excelImportResultModel.getExcelList();
//        if (CollectionUtils.isEmpty(partPtrList)) {
//            return;
//        }
//
//        partPtrList.forEach(k -> {
//            if (StringUtils.isEmpty(k.getId())) {
//                mesWorkOrderRDao.insert(k);
//            } else {
//                mesWorkOrderRDao.update(k);
//            }
//        });
//    }
//}
