package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesEquipmentProdParamCfgService;
import cn.estsh.i3plus.pojo.mes.util.MesExtEnumUtil;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesEquipmentProdParamCfg;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description : 设备加工参数维护
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/5/14 14:05
 * @Modify:
 **/
@Service
@Slf4j
public class MesEquipmentProdParamCfgServiceImpl extends BaseMesService<MesEquipmentProdParamCfg> implements IMesEquipmentProdParamCfgService {

    protected void setPackQueryBean(MesEquipmentProdParamCfg bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getCavityCode(),"cavityCode",packBean);
        DdlPreparedPack.getNumEqualPack(bean.getSeq(),"seq",packBean);
    }


    protected void onInsertBean(MesEquipmentProdParamCfg item) {
        item.setDataSource(MesExtEnumUtil.DATA_SOURCE.DATA_SOURCE30.getValue());
    }

    protected void onUpdateBean(MesEquipmentProdParamCfg item) {
    }

}
