package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesLoadingGroupService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesLoadingGroup;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description : 装车组
 * @Reference :
 * @Author : gsz
 * @CreateDate 2024/5/14 15:13
 * @Modify:
 **/
@Service
@Slf4j
public class MesLoadingGroupServiceImpl extends BaseMesService<MesLoadingGroup> implements IMesLoadingGroupService {

    protected void setPackQueryBean(MesLoadingGroup bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getLoadingGroupNo(), "loadingGroupNo", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getLoadingGroupName(), "loadingGroupName", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getCustomerCode(), "customerCode", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getCustomerOrganizeCode(), "customerOrganizeCode", packBean);
    }

}
