package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesMaximoAssetMainDataService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesMaximoAssetMainData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;


/**
 * @Description : Maximo设备主数据
 * @Reference :
 * @Author : gsz
 * @CreateDate 2024/5/17 10:06
 * @Modify:
 **/
@Service
@Slf4j
public class MesMaximoAssetMainDataServiceImpl extends BaseMesService<MesMaximoAssetMainData> implements IMesMaximoAssetMainDataService {

    protected void setPackQueryBean(MesMaximoAssetMainData bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getAssetNum(), "assetNum", packBean);
        DdlPreparedPack.getNumEqualPack(bean.getDescription(), "description", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getStatus(), "status", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getFailureCode(), "failureCode", packBean);
    }

}
