package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesModelMultiCavityService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesEquipmentProdParamCfg;
import cn.estsh.i3plus.pojo.mes.bean.MesModelMultiCavity;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCenter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
/**
 * @Description : 一模多腔维护
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/5/14 14:29
 * @Modify:
 **/
@Service
@Slf4j
public class MesModelMultiCavityServiceImpl extends BaseMesService<MesModelMultiCavity> implements IMesModelMultiCavityService {
    protected void setPackQueryBean(MesModelMultiCavity bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getModuleCode(),"moduleCode",packBean);
        DdlPreparedPack.getStringEqualPack(bean.getPartNo(),"partNo",packBean);
        DdlPreparedPack.getStringEqualPack(bean.getEquipmentCode(),"equipmentCode",packBean);
    }


    protected void onInsertBean(MesModelMultiCavity item) {

    }

    protected void onUpdateBean(MesModelMultiCavity item) {
    }
}
