package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.ISapProductPlanService;
import cn.estsh.i3plus.ext.mes.apiservice.dao.ISapProductPlanDao;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.SapProductPlan;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description :SAP生产计划
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/5/6 15:52
 * @Modify:
 **/
@Service
@Slf4j
public class SapProductPlanServiceImpl extends BaseMesService<SapProductPlan> implements ISapProductPlanService {

    @Autowired
    private ISapProductPlanDao iSapProductPlanDao;

    @Override
    public ListPager<SapProductPlan> querySapProductPlanPager(SapProductPlan sapProductPlan, Pager pager) {
        return iSapProductPlanDao.querySapProductPlanPager(sapProductPlan,pager);
    }

}
